QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: GetJournaledEditsResponseProto, class: Builder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder

All Implemented Interfaces:
  `Cloneable`, `QJournalProtocolProtos.GetJournaledEditsResponseProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  QJournalProtocolProtos.GetJournaledEditsResponseProto

public static final class QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder> implements QJournalProtocolProtos.GetJournaledEditsResponseProtoOrBuilder
Protobuf type `hadoop.hdfs.qjournal.GetJournaledEditsResponseProto`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto`
  `build()`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto`
  `buildPartial()`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `clear()`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `clearEditLog()`
  `optional bytes editLog = 2;`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `clearTxnCount()`
  `required uint32 txnCount = 1;`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `clone()`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getEditLog()`
  `optional bytes editLog = 2;`
  `int`
  `getTxnCount()`
  `required uint32 txnCount = 1;`
  `boolean`
  `hasEditLog()`
  `optional bytes editLog = 2;`
  `boolean`
  `hasTxnCount()`
  `required uint32 txnCount = 1;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `mergeFrom(QJournalProtocolProtos.GetJournaledEditsResponseProto other)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `setEditLog(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional bytes editLog = 2;`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `setTxnCount(int value)`
  `required uint32 txnCount = 1;`
  `final QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### clear

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### getDefaultInstanceForType

    public QJournalProtocolProtos.GetJournaledEditsResponseProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public QJournalProtocolProtos.GetJournaledEditsResponseProto build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public QJournalProtocolProtos.GetJournaledEditsResponseProto buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### setField

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### clearField

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### clearOneof

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### setRepeatedField

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### addRepeatedField

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder mergeFrom(QJournalProtocolProtos.GetJournaledEditsResponseProto other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`
    Throws:
      `IOException`

  - ### hasTxnCount

    public boolean hasTxnCount()
    `required uint32 txnCount = 1;`
    Specified by:
      `hasTxnCount` in interface `QJournalProtocolProtos.GetJournaledEditsResponseProtoOrBuilder`
    Returns:
      Whether the txnCount field is set.

  - ### getTxnCount

    public int getTxnCount()
    `required uint32 txnCount = 1;`
    Specified by:
      `getTxnCount` in interface `QJournalProtocolProtos.GetJournaledEditsResponseProtoOrBuilder`
    Returns:
      The txnCount.

  - ### setTxnCount

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder setTxnCount(int value)
    `required uint32 txnCount = 1;`
    Parameters:
      `value` - The txnCount to set.
    Returns:
      This builder for chaining.

  - ### clearTxnCount

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder clearTxnCount()
    `required uint32 txnCount = 1;`
    Returns:
      This builder for chaining.

  - ### hasEditLog

    public boolean hasEditLog()
    `optional bytes editLog = 2;`
    Specified by:
      `hasEditLog` in interface `QJournalProtocolProtos.GetJournaledEditsResponseProtoOrBuilder`
    Returns:
      Whether the editLog field is set.

  - ### getEditLog

    public org.apache.hadoop.thirdparty.protobuf.ByteString getEditLog()
    `optional bytes editLog = 2;`
    Specified by:
      `getEditLog` in interface `QJournalProtocolProtos.GetJournaledEditsResponseProtoOrBuilder`
    Returns:
      The editLog.

  - ### setEditLog

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder setEditLog(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional bytes editLog = 2;`
    Parameters:
      `value` - The editLog to set.
    Returns:
      This builder for chaining.

  - ### clearEditLog

    public QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder clearEditLog()
    `optional bytes editLog = 2;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`

  - ### mergeUnknownFields

    public final QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.GetJournaledEditsResponseProto.Builder>`